import request from '@/utils/request'

// 查询app首页数据列表
export function listApphomedata(query) {
  return request({
    url: '/news/ad/list',
    method: 'get',
    params: query
  })
}

// 查询app首页数据详细
export function getApphomedata(homeContentId) {
  return request({
    url: '/news/ad/' + homeContentId,
    method: 'get'
  })
}

// 新增app首页数据
export function addApphomedata(data) {
  return request({
    url: '/news/ad',
    method: 'post',
    data: data
  })
}

// 修改app首页数据
export function updateApphomedata(data) {
  return request({
    url: '/news/ad',
    method: 'put',
    data: data
  })
}

// 删除app首页数据
export function delApphomedata(homeContentId) {
  return request({
    url: '/news/ad/' + homeContentId,
    method: 'delete'
  })
}

// 导出app首页数据
export function exportApphomedata(query) {
  return request({
    url: '/news/ad/export',
    method: 'get',
    params: query
  })
}
